Madworld doesn't like my 3.3 firmware

Discussion in 'Wii - Hacking' started by JunkieXL69, Mar 16, 2009.

Mar 16, 2009
  1. JunkieXL69
    OP

    Newcomer JunkieXL69 Member

    Joined:
    Oct 24, 2008
    Messages:
    24
    Country:
    United States
    Hi. I purchased Madworld and I am on firmware 3.3...apparently it wants me to update to 3.4? It just says System Update in the Disc Channel.

    Is this safe to do without screwing up my hbc and anything else installed?

    Sorry if this has been asked before...
     
  2. Mark McDonut

    Member Mark McDonut GBAtemp Fan

    Joined:
    Oct 8, 2008
    Messages:
    495
    Country:
    United States
    It's not a new update it's an old update (a version of 3.1) but includes 3 IOS files (38, 55, and 53) which are not on any other system updates.

    It's safe to update unless you're launching trucha signed discs from the system menu.

    If you don't know what those are, you probably won't use them anyway so don't worry.

    It won't break anything 3.3 didn't already break. Enjoy though, great game [​IMG]
     
  3. JunkieXL69
    OP

    Newcomer JunkieXL69 Member

    Joined:
    Oct 24, 2008
    Messages:
    24
    Country:
    United States
    trucha signed discs have nothing to do with the ability to use my backup loader then?

    thanks for the reply.
     
  4. kyle007

    Member kyle007 GBAtemp Fan

    Joined:
    Oct 5, 2008
    Messages:
    387
    Country:
    United States
    never mind found out how lol
     
  5. SenorClean

    Member SenorClean GBAtemp Advanced Fan

    Joined:
    Mar 21, 2008
    Messages:
    522
    Country:
    Australia
    Backup loaders will still work, as will the HBC.

    Twilight hack will be removed though. There is a version of twilight hack for 3.4, but it gets removed when you restart your wii. Because of this, and the inability to run trucha signed content - it is near impossible to recover from a banner brick in 3.4.

    Don't install any wads unless you totally trust them!
     
  6. Mark McDonut

    Member Mark McDonut GBAtemp Fan

    Joined:
    Oct 8, 2008
    Messages:
    495
    Country:
    United States
    well yes and no but for the most part no. you may have issues with brawl depending on what IOS launches it and if it's subject to the trucha bug (brawl backup needs to be dvd5 and trucha signed to run on backup loader, as it doesn't boot dual layer games properly from what i've read) but i think considering backup loader was partly based on GeckoOS code, it might not be a problem after all, that's just the only potential problem i could think of.

    Trucha signing fake signs the disc after you make a modification like replace certain files like uncensoring manhunt 2 via editing an ini file or swapping charachters or repacking brawl to dvd5 for example. 1:1 backed up images will still run fine on the backup loader though with a few small exceptions which can be googled if you're having trouble.
     

Share This Page